#
# spec file for package oclock
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           oclock
Version:        1.0.6
Release:        1.2
Summary:        Simple round analog clock
License:        MIT
Group:          System/X11/Utilities
URL:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/app/%{name}-%{version}.tar.xz
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xkbfile)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xt)
# This was part of the xorg-x11 package up to version 7.6
Conflicts:      xorg-x11 <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
oclock is a simple analog clock using the SHAPE extension to make
a round (possibly transparent) window.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README.md
%{_bindir}/oclock
%dir %{_datadir}/X11/app-defaults
%{_datadir}/X11/app-defaults/Clock-color
%{_mandir}/man1/oclock.1%{?ext_man}

%changelog
* Thu Dec  5 2024 Stefan Dirsch <sndirsch@suse.com>
- Update to 1.0.6
  * Print which argument was unknown before giving usage message
  * Add -help and -version options
  * gitlab CI: stop requiring Signed-off-by in commits
  * Variable scope reductions
  * Initialize: fix indentation of conditional clause after if statement
* Wed Aug 31 2022 Stefan Dirsch <sndirsch@suse.com>
- Update to 1.0.5:
  * Update README for gitlab migration
  * Update configure.ac bug URL for gitlab migration
  * Pass -D_CONST_X_STRING to make libXt declare String as const char *
  * Fix spelling/wording issues
  * gitlab CI: add a basic build test
  * Declare bitmap data as const
  * Add cast to clear -Wsign-compare warning
* Wed Mar  7 2018 mvetter@suse.com
- Update to 1.0.4:
  + Remove unused function TDrawArc
  + Reduce scope of variables in check_jewel_poly
  + config: Add missing AC_CONFIG_SRCDIR
  + configure: Drop AM_MAINTAINER_MODE
  + autogen.sh: Honor NOCONFIGURE=1
  + autogen.sh: use exec instead of waiting for configure to finish
  + autogen.sh: use quoted string variables
  + autogen: add default patch prefix
* Sat Apr 14 2012 dimstar@opensuse.org
- Update to version 1.0.3:
  + Enable the latent XKBStdBell code in oclock.
  + Combine usage output into a single string/fprintf call.
  + Man page fixes.
  + Build system fixes.
- Add pkgconfig(xkbfile) BuildRequires: new dependency.
* Fri Apr 13 2012 vuntz@opensuse.org
- Split oclock from xorg-x11. Initial version: 1.0.2.
